<html>
<head>
<title>OGRE: Ogre::Billboard Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Billboard.html">Billboard</a></div>
<h1>Ogre::Billboard Class Reference</h1><!-- doxytag: class="Ogre::Billboard" -->A billboard is a primitive which always faces the camera in every frame.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Billboard-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#39ef001d2052cbae98014753e210b732">Billboard</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor.  <a href="#39ef001d2052cbae98014753e210b732"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#3ef9bffd0c2a51d1bbac274bdf86c869">~Billboard</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default destructor.  <a href="#3ef9bffd0c2a51d1bbac274bdf86c869"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#ff96bdb3a3446cdf08499e58aa03c3c5">Billboard</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;position, <a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *owner, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;colour=<a class="el" href="classOgre_1_1ColourValue.html#8eba66b2908f44f00f8d9c9ec25877de">ColourValue::White</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normal constructor as called by <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a>.  <a href="#ff96bdb3a3446cdf08499e58aa03c3c5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#21d65daa1be659c9234da380b8e9f2f4">getRotation</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the rotation of the billboard.  <a href="#21d65daa1be659c9234da380b8e9f2f4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#8e64eda09ec65dea10dc180b68801d94">setRotation</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rotation)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the rotation of the billboard.  <a href="#8e64eda09ec65dea10dc180b68801d94"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#eb9ce5d9c11492faf34f3ee61e4a4a40">setPosition</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;position)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the position of the billboard.  <a href="#eb9ce5d9c11492faf34f3ee61e4a4a40"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#0e78e6b90bbf3184f45d0a87bbeb229b">setPosition</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> z)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the position of the billboard.  <a href="#0e78e6b90bbf3184f45d0a87bbeb229b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#36dfa19a35f697aadf9844021fcedb03">getPosition</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the position of the billboard.  <a href="#36dfa19a35f697aadf9844021fcedb03"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#c7c7422926a4387ae58c7303b701b8f0">setDimensions</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the width and height for this billboard.  <a href="#c7c7422926a4387ae58c7303b701b8f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#e5bf31f1d013a1f0c3b5a92e46c76d11">resetDimensions</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets this <a class="el" href="classOgre_1_1Billboard.html" title="A billboard is a primitive which always faces the camera in every frame.">Billboard</a> to use the parent BillboardSet's dimensions instead of it's own.  <a href="#e5bf31f1d013a1f0c3b5a92e46c76d11"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#9126c29605e55b8bdb5f81adf267259a">setColour</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;colour)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the colour of this billboard.  <a href="#9126c29605e55b8bdb5f81adf267259a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#dc2355d3465e10bde213705e432e0826">getColour</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the colour of this billboard.  <a href="#dc2355d3465e10bde213705e432e0826"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#3857d9e9a3e831f8621598be8ad54e16">hasOwnDimensions</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if this billboard deviates from the BillboardSet's default dimensions (i.e.  <a href="#3857d9e9a3e831f8621598be8ad54e16"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#dc14c9f66bf55dc51286b163f1417fbb">getOwnWidth</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the billboard's personal width, if hasOwnDimensions is true.  <a href="#dc14c9f66bf55dc51286b163f1417fbb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#0baf5a83e70a59a3cdaf4ce4a929b4d4">getOwnHeight</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the billboard's personal width, if hasOwnDimensions is true.  <a href="#0baf5a83e70a59a3cdaf4ce4a929b4d4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#88d66ce919092367df57a2e3abcae059">_notifyOwner</a> (<a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *owner)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for notifying the billboard of it's owner.  <a href="#88d66ce919092367df57a2e3abcae059"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#eea6556e787c984b97bf779b7b90dbb1">isUseTexcoordRect</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if this billboard use individual texture coordinate rect (i.e.  <a href="#eea6556e787c984b97bf779b7b90dbb1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#e8aa54c0303721dfc34ebbd8bdf1e8f4">setTexcoordIndex</a> (<a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> texcoordIndex)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#e8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when...">setTexcoordIndex()</a> sets which texture coordinate rect this billboard will use when rendering.  <a href="#e8aa54c0303721dfc34ebbd8bdf1e8f4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#44c9c4056e597a7b50d8881fc1d1785d">getTexcoordIndex</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#44c9c4056e597a7b50d8881fc1d1785d" title="getTexcoordIndex() returns the previous value set by setTexcoordIndex().">getTexcoordIndex()</a> returns the previous value set by <a class="el" href="classOgre_1_1Billboard.html#e8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when...">setTexcoordIndex()</a>.  <a href="#44c9c4056e597a7b50d8881fc1d1785d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb">setTexcoordRect</a> (const <a class="el" href="structOgre_1_1TRect.html">FloatRect</a> &amp;texcoordRect)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will...">setTexcoordRect()</a> sets the individual texture coordinate rect of this billboard will use when rendering.  <a href="#22f28d979395f04c6039d46a68c4eefb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#78525470bb318948f9cf68ddf9281aa8">setTexcoordRect</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> u0, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> v0, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> u1, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> v1)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will...">setTexcoordRect()</a> sets the individual texture coordinate rect of this billboard will use when rendering.  <a href="#78525470bb318948f9cf68ddf9281aa8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structOgre_1_1TRect.html">FloatRect</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#520cbeb132a68eeb38f34e87e71f2749">getTexcoordRect</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#520cbeb132a68eeb38f34e87e71f2749" title="getTexcoordRect() returns the previous value set by setTexcoordRect().">getTexcoordRect()</a> returns the previous value set by <a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will...">setTexcoordRect()</a>.  <a href="#520cbeb132a68eeb38f34e87e71f2749"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a7ad6c8789d8589787c4da34c670d66c">mPosition</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#64425b354973d2d957bc878fca407aad">mDirection</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#aa2fce61abce942e356fd81925c394fd">mParentSet</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#ef9f7ad996732865cd2c8842ee265064">mColour</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#d861053413ca65e059dd74131a084839">mRotation</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#fb34875469363c35f235c8746d8664f2">mOwnDimensions</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#45a151660ff2ea011a7c051f50d18ef3">mUseTexcoordRect</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#3d416b1519dc19dde0550cf8ac92d1e1">mTexcoordIndex</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1TRect.html">FloatRect</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#8100e3deb204c1c8d5f2dd4429cad6b2">mTexcoordRect</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a025549188dc792b76507cf2c7f02c9f">mWidth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#19e9a04c451b91b5c74d61b7040c9adb">mHeight</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#7f055c0ed81c6b3bef6d154d128093a1">BillboardSet</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#261647d2b3ed936e9a2f05309ae878d0">BillboardParticleRenderer</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A billboard is a primitive which always faces the camera in every frame. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Billboards can be used for special effects or some other trickery which requires the triangles to always facing the camera no matter where it is. <a class="el" href="namespaceOgre.html">Ogre</a> groups billboards into sets for efficiency, so you should never create a billboard on it's own (it's ok to have a set of one if you need it). </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Billboards have their geometry generated every frame depending on where the camera is. It is most beneficial for all billboards in a set to be identically sized since <a class="el" href="namespaceOgre.html">Ogre</a> can take advantage of this and save some calculations - useful when you have sets of hundreds of billboards as is possible with special effects. You can deviate from this if you wish (example: a smoke effect would probably have smoke puffs expanding as they rise, so each billboard will legitimately have it's own size) but be aware the extra overhead this brings and try to avoid it if you can. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Billboards are just the mechanism for rendering a range of effects such as particles. It is other classes which use billboards to create their individual effects, so the methods here are quite generic. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00061">61</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="39ef001d2052cbae98014753e210b732"></a><!-- doxytag: member="Ogre::Billboard::Billboard" ref="39ef001d2052cbae98014753e210b732" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Billboard::Billboard           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor. 
<p>

</div>
</div><p>
<a class="anchor" name="3ef9bffd0c2a51d1bbac274bdf86c869"></a><!-- doxytag: member="Ogre::Billboard::~Billboard" ref="3ef9bffd0c2a51d1bbac274bdf86c869" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Billboard::~Billboard           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default destructor. 
<p>

</div>
</div><p>
<a class="anchor" name="ff96bdb3a3446cdf08499e58aa03c3c5"></a><!-- doxytag: member="Ogre::Billboard::Billboard" ref="ff96bdb3a3446cdf08499e58aa03c3c5" args="(const Vector3 &amp;position, BillboardSet *owner, const ColourValue &amp;colour=ColourValue::White)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Billboard::Billboard           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *&nbsp;</td>
          <td class="paramname"> <em>owner</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>colour</em> = <code><a class="el" href="classOgre_1_1ColourValue.html#8eba66b2908f44f00f8d9c9ec25877de">ColourValue::White</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Normal constructor as called by <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a>. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="21d65daa1be659c9234da380b8e9f2f4"></a><!-- doxytag: member="Ogre::Billboard::getRotation" ref="21d65daa1be659c9234da380b8e9f2f4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Billboard::getRotation           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the rotation of the billboard. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This rotation is relative to the center of the billboard. </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00098">98</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8e64eda09ec65dea10dc180b68801d94"></a><!-- doxytag: member="Ogre::Billboard::setRotation" ref="8e64eda09ec65dea10dc180b68801d94" args="(const Radian &amp;rotation)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::setRotation           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rotation</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the rotation of the billboard. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This rotation is relative to the center of the billboard. </dd></dl>

</div>
</div><p>
<a class="anchor" name="eb9ce5d9c11492faf34f3ee61e4a4a40"></a><!-- doxytag: member="Ogre::Billboard::setPosition" ref="eb9ce5d9c11492faf34f3ee61e4a4a40" args="(const Vector3 &amp;position)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::setPosition           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>position</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the position of the billboard. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This position is relative to a point on the quad which is the billboard. Depending on the <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a>, this may be the center of the quad, the top-left etc. See <a class="el" href="classOgre_1_1BillboardSet.html#e57f3915d9864c79ca7f0735679f7a13" title="Sets the point which acts as the origin point for all billboards in this set.">BillboardSet::setBillboardOrigin</a> for more info. </dd></dl>

</div>
</div><p>
<a class="anchor" name="0e78e6b90bbf3184f45d0a87bbeb229b"></a><!-- doxytag: member="Ogre::Billboard::setPosition" ref="0e78e6b90bbf3184f45d0a87bbeb229b" args="(Real x, Real y, Real z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::setPosition           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>z</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the position of the billboard. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This position is relative to a point on the quad which is the billboard. Depending on the <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a>, this may be the center of the quad, the top-left etc. See <a class="el" href="classOgre_1_1BillboardSet.html#e57f3915d9864c79ca7f0735679f7a13" title="Sets the point which acts as the origin point for all billboards in this set.">BillboardSet::setBillboardOrigin</a> for more info. </dd></dl>

</div>
</div><p>
<a class="anchor" name="36dfa19a35f697aadf9844021fcedb03"></a><!-- doxytag: member="Ogre::Billboard::getPosition" ref="36dfa19a35f697aadf9844021fcedb03" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::Billboard::getPosition           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the position of the billboard. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This position is relative to a point on the quad which is the billboard. Depending on the <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a>, this may be the center of the quad, the top-left etc. See <a class="el" href="classOgre_1_1BillboardSet.html#e57f3915d9864c79ca7f0735679f7a13" title="Sets the point which acts as the origin point for all billboards in this set.">BillboardSet::setBillboardOrigin</a> for more info. </dd></dl>

</div>
</div><p>
<a class="anchor" name="c7c7422926a4387ae58c7303b701b8f0"></a><!-- doxytag: member="Ogre::Billboard::setDimensions" ref="c7c7422926a4387ae58c7303b701b8f0" args="(Real width, Real height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::setDimensions           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>height</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the width and height for this billboard. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Note that it is most efficient for every billboard in a <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a> to have the same dimensions. If you choose to alter the dimensions of an individual billboard the set will be less efficient. Do not call this method unless you really need to have different billboard dimensions within the same set. Otherwise just call the <a class="el" href="classOgre_1_1BillboardSet.html#c3b1429e01d1fc5b20152eb2fe077ead" title="Sets the default dimensions of the billboards in this set.">BillboardSet::setDefaultDimensions</a> method instead. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e5bf31f1d013a1f0c3b5a92e46c76d11"></a><!-- doxytag: member="Ogre::Billboard::resetDimensions" ref="e5bf31f1d013a1f0c3b5a92e46c76d11" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::resetDimensions           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resets this <a class="el" href="classOgre_1_1Billboard.html" title="A billboard is a primitive which always faces the camera in every frame.">Billboard</a> to use the parent BillboardSet's dimensions instead of it's own. 
<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00137">137</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9126c29605e55b8bdb5f81adf267259a"></a><!-- doxytag: member="Ogre::Billboard::setColour" ref="9126c29605e55b8bdb5f81adf267259a" args="(const ColourValue &amp;colour)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::setColour           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>colour</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the colour of this billboard. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Billboards can be tinted based on a base colour. This allows variations in colour irresective of the base colour of the material allowing more varied billboards. The default colour is white. The tinting is effected using vertex colours. </dd></dl>

</div>
</div><p>
<a class="anchor" name="dc2355d3465e10bde213705e432e0826"></a><!-- doxytag: member="Ogre::Billboard::getColour" ref="dc2355d3465e10bde213705e432e0826" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::Billboard::getColour           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the colour of this billboard. 
<p>

</div>
</div><p>
<a class="anchor" name="3857d9e9a3e831f8621598be8ad54e16"></a><!-- doxytag: member="Ogre::Billboard::hasOwnDimensions" ref="3857d9e9a3e831f8621598be8ad54e16" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Billboard::hasOwnDimensions           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if this billboard deviates from the BillboardSet's default dimensions (i.e. 
<p>
if the <a class="el" href="classOgre_1_1Billboard.html#c7c7422926a4387ae58c7303b701b8f0" title="Sets the width and height for this billboard.">Billboard::setDimensions</a> method has been called for this instance). <dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Billboard.html#c7c7422926a4387ae58c7303b701b8f0" title="Sets the width and height for this billboard.">Billboard::setDimensions</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="dc14c9f66bf55dc51286b163f1417fbb"></a><!-- doxytag: member="Ogre::Billboard::getOwnWidth" ref="dc14c9f66bf55dc51286b163f1417fbb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Billboard::getOwnWidth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the billboard's personal width, if hasOwnDimensions is true. 
<p>

</div>
</div><p>
<a class="anchor" name="0baf5a83e70a59a3cdaf4ce4a929b4d4"></a><!-- doxytag: member="Ogre::Billboard::getOwnHeight" ref="0baf5a83e70a59a3cdaf4ce4a929b4d4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Billboard::getOwnHeight           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the billboard's personal width, if hasOwnDimensions is true. 
<p>

</div>
</div><p>
<a class="anchor" name="88d66ce919092367df57a2e3abcae059"></a><!-- doxytag: member="Ogre::Billboard::_notifyOwner" ref="88d66ce919092367df57a2e3abcae059" args="(BillboardSet *owner)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::_notifyOwner           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *&nbsp;</td>
          <td class="paramname"> <em>owner</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for notifying the billboard of it's owner. 
<p>

</div>
</div><p>
<a class="anchor" name="eea6556e787c984b97bf779b7b90dbb1"></a><!-- doxytag: member="Ogre::Billboard::isUseTexcoordRect" ref="eea6556e787c984b97bf779b7b90dbb1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Billboard::isUseTexcoordRect           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if this billboard use individual texture coordinate rect (i.e. 
<p>
if the <a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will...">Billboard::setTexcoordRect</a> method has been called for this instance), or returns false if use texture coordinates defined in the parent BillboardSet's texture coordinates array (i.e. if the <a class="el" href="classOgre_1_1Billboard.html#e8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when...">Billboard::setTexcoordIndex</a> method has been called for this instance). <dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Billboard.html#e8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when...">Billboard::setTexcoordIndex()</a> <a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will...">Billboard::setTexcoordRect()</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00176">176</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e8aa54c0303721dfc34ebbd8bdf1e8f4"></a><!-- doxytag: member="Ogre::Billboard::setTexcoordIndex" ref="e8aa54c0303721dfc34ebbd8bdf1e8f4" args="(uint16 texcoordIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::setTexcoordIndex           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td>
          <td class="paramname"> <em>texcoordIndex</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Billboard.html#e8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when...">setTexcoordIndex()</a> sets which texture coordinate rect this billboard will use when rendering. 
<p>
The parent billboard set may contain more than one, in which case a billboard can be textured with different pieces of a larger texture sheet very efficiently. <dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1BillboardSet.html#674d274f03d34cc1446f7de9255236a7" title="BillboardSet can use custom texture coordinates for various billboards.">BillboardSet::setTextureCoords()</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="44c9c4056e597a7b50d8881fc1d1785d"></a><!-- doxytag: member="Ogre::Billboard::getTexcoordIndex" ref="44c9c4056e597a7b50d8881fc1d1785d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> Ogre::Billboard::getTexcoordIndex           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Billboard.html#44c9c4056e597a7b50d8881fc1d1785d" title="getTexcoordIndex() returns the previous value set by setTexcoordIndex().">getTexcoordIndex()</a> returns the previous value set by <a class="el" href="classOgre_1_1Billboard.html#e8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when...">setTexcoordIndex()</a>. 
<p>
The default value is 0, which is always a valid texture coordinate set. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This value is useful only when isUseTexcoordRect return false. </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00192">192</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="22f28d979395f04c6039d46a68c4eefb"></a><!-- doxytag: member="Ogre::Billboard::setTexcoordRect" ref="22f28d979395f04c6039d46a68c4eefb" args="(const FloatRect &amp;texcoordRect)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::setTexcoordRect           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TRect.html">FloatRect</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>texcoordRect</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will...">setTexcoordRect()</a> sets the individual texture coordinate rect of this billboard will use when rendering. 
<p>
The parent billboard set may contain more than one, in which case a billboard can be textured with different pieces of a larger texture sheet very efficiently. 
</div>
</div><p>
<a class="anchor" name="78525470bb318948f9cf68ddf9281aa8"></a><!-- doxytag: member="Ogre::Billboard::setTexcoordRect" ref="78525470bb318948f9cf68ddf9281aa8" args="(Real u0, Real v0, Real u1, Real v1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Billboard::setTexcoordRect           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>u0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>v0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>u1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>v1</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will...">setTexcoordRect()</a> sets the individual texture coordinate rect of this billboard will use when rendering. 
<p>
The parent billboard set may contain more than one, in which case a billboard can be textured with different pieces of a larger texture sheet very efficiently. 
</div>
</div><p>
<a class="anchor" name="520cbeb132a68eeb38f34e87e71f2749"></a><!-- doxytag: member="Ogre::Billboard::getTexcoordRect" ref="520cbeb132a68eeb38f34e87e71f2749" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1TRect.html">FloatRect</a>&amp; Ogre::Billboard::getTexcoordRect           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Billboard.html#520cbeb132a68eeb38f34e87e71f2749" title="getTexcoordRect() returns the previous value set by setTexcoordRect().">getTexcoordRect()</a> returns the previous value set by <a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will...">setTexcoordRect()</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This value is useful only when isUseTexcoordRect return true. </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00212">212</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="7f055c0ed81c6b3bef6d154d128093a1"></a><!-- doxytag: member="Ogre::Billboard::BillboardSet" ref="7f055c0ed81c6b3bef6d154d128093a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00063">63</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="261647d2b3ed936e9a2f05309ae878d0"></a><!-- doxytag: member="Ogre::Billboard::BillboardParticleRenderer" ref="261647d2b3ed936e9a2f05309ae878d0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1BillboardParticleRenderer.html">BillboardParticleRenderer</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00064">64</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="fb34875469363c35f235c8746d8664f2"></a><!-- doxytag: member="Ogre::Billboard::mOwnDimensions" ref="fb34875469363c35f235c8746d8664f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Billboard.html#fb34875469363c35f235c8746d8664f2">Ogre::Billboard::mOwnDimensions</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00066">66</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="45a151660ff2ea011a7c051f50d18ef3"></a><!-- doxytag: member="Ogre::Billboard::mUseTexcoordRect" ref="45a151660ff2ea011a7c051f50d18ef3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Billboard.html#45a151660ff2ea011a7c051f50d18ef3">Ogre::Billboard::mUseTexcoordRect</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00067">67</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d416b1519dc19dde0550cf8ac92d1e1"></a><!-- doxytag: member="Ogre::Billboard::mTexcoordIndex" ref="3d416b1519dc19dde0550cf8ac92d1e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Billboard.html#3d416b1519dc19dde0550cf8ac92d1e1">Ogre::Billboard::mTexcoordIndex</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00068">68</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8100e3deb204c1c8d5f2dd4429cad6b2"></a><!-- doxytag: member="Ogre::Billboard::mTexcoordRect" ref="8100e3deb204c1c8d5f2dd4429cad6b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">FloatRect</a> <a class="el" href="classOgre_1_1Billboard.html#8100e3deb204c1c8d5f2dd4429cad6b2">Ogre::Billboard::mTexcoordRect</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00069">69</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a025549188dc792b76507cf2c7f02c9f"></a><!-- doxytag: member="Ogre::Billboard::mWidth" ref="a025549188dc792b76507cf2c7f02c9f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Billboard.html#a025549188dc792b76507cf2c7f02c9f">Ogre::Billboard::mWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00070">70</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="19e9a04c451b91b5c74d61b7040c9adb"></a><!-- doxytag: member="Ogre::Billboard::mHeight" ref="19e9a04c451b91b5c74d61b7040c9adb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Billboard.html#19e9a04c451b91b5c74d61b7040c9adb">Ogre::Billboard::mHeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00071">71</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a7ad6c8789d8589787c4da34c670d66c"></a><!-- doxytag: member="Ogre::Billboard::mPosition" ref="a7ad6c8789d8589787c4da34c670d66c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Billboard.html#a7ad6c8789d8589787c4da34c670d66c">Ogre::Billboard::mPosition</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00075">75</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="64425b354973d2d957bc878fca407aad"></a><!-- doxytag: member="Ogre::Billboard::mDirection" ref="64425b354973d2d957bc878fca407aad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Billboard.html#64425b354973d2d957bc878fca407aad">Ogre::Billboard::mDirection</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00077">77</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="aa2fce61abce942e356fd81925c394fd"></a><!-- doxytag: member="Ogre::Billboard::mParentSet" ref="aa2fce61abce942e356fd81925c394fd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a>* <a class="el" href="classOgre_1_1Billboard.html#aa2fce61abce942e356fd81925c394fd">Ogre::Billboard::mParentSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00078">78</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ef9f7ad996732865cd2c8842ee265064"></a><!-- doxytag: member="Ogre::Billboard::mColour" ref="ef9f7ad996732865cd2c8842ee265064" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1Billboard.html#ef9f7ad996732865cd2c8842ee265064">Ogre::Billboard::mColour</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00079">79</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d861053413ca65e059dd74131a084839"></a><!-- doxytag: member="Ogre::Billboard::mRotation" ref="d861053413ca65e059dd74131a084839" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1Billboard.html#d861053413ca65e059dd74131a084839">Ogre::Billboard::mRotation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboard_8h-source.html#l00080">80</a> of file <a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreBillboard_8h-source.html">OgreBillboard.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:09 2008
</p>
</body>
</html>
